Create a new template version

POST
https://reloop.sh/api/template/v1/:id/versions

Path Parameters

idstringRequired

Body Parameters

contentany[]Required

Example: ["value1", "value2"]

subjectstring
  • Maximum length: 500
fromEmailstring
  • Maximum length: 255
replyTostring
  • Maximum length: 255
previewTextstring
descriptionstring
  • Maximum length: 500
namestring
  • Maximum length: 255
isMajorboolean
renderedHtmlstring
variablesobject[]
variables properties
namestringRequired
type"string""number"Required

Possible values: string | number

defaultValuestringnullRequired
import Reloop from 'reloop-email';

const reloop = new Reloop("rl_123456789");

const version = await reloop.template.createVersion("tpl_123456789", {
  content: [],
  isMajor: true,
  name: "v1.0.0"
});
{
  "id": "con_123456789",
  "templateId": "example_templateId",
  "version": 0,
  "name": "Newsletter",
  "isMajor": true,
  "subject": "Welcome to Reloop",
  "fromEmail": "example_fromEmail",
  "replyTo": "example_replyTo",
  "previewText": "example_previewText",
  "description": "example_description",
  "content": [],
  "variables": [
    {
      "name": "Newsletter",
      "type": "string",
      "defaultValue": null
    }
  ],
  "renderedHtml": "example_renderedHtml",
  "createdByUserId": "example_createdByUserId",
  "createdBy": {
    "id": "con_123456789",
    "name": "Newsletter",
    "email": "john.doe@example.com",
    "image": "example_image"
  },
  "createdAt": "2026-03-23T10:00:00.000Z",
  "draftNumber": 0,
  "publishNumber": 0
}

Was this page helpful?

Edit this page